%clear;clc;
function [IRr,tt1,tt2]=dokt_ir2interp(IR1,IR2,fs,bit,k,OFFS)

%[IR1,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_5_R_c1_i.wav'); 
%[IR2,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_21_R_c1_i.wav'); 

[tt1,tt2]=dokt_timescale(IR1,IR2,fs,bit);
tt1=tt1+OFFS;tt2=tt2+OFFS;

%k=0.5;

L=length(tt1);
IRr=[]; 
for i=2:L,
    ujhossz=round(k*(tt1(i)-tt1(i-1))+(1-k)*(tt2(i)-tt2(i-1)));
    darab1=resample(IR1(tt1(i-1)+1:tt1(i)),ujhossz,tt1(i)-tt1(i-1));
    darab2=resample(IR2(tt2(i-1)+1:tt2(i)),ujhossz,tt2(i)-tt2(i-1));
    IRr=[IRr;k.*darab1+(1-k).*darab2];
end;
honnan=length(IRr);
% itt vagy tail interpoláció lesz, vagy tail bemásolás
IRend=k.*IR1(honnan+1:end)+(1-k).*IR2(honnan+1:end);
IRr=[IRr;IRend];
